local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddLight()
    inst.entity:AddNetwork()

    inst:AddTag("FX")

    inst.Light:Enable(true)
    --inst.Light:SetIntensity(.75)
    --inst.Light:SetColour(197 / 255, 197 / 255, 50 / 255)
    --inst.Light:SetFalloff(0.5)
    --inst.Light:SetRadius(2)
	
	inst.Light:SetFalloff(0.4)
    inst.Light:SetIntensity(.7)
    inst.Light:SetRadius(2.5)
    inst.Light:SetColour(180 / 255, 195 / 255, 150 / 255)

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst.persists = false

    return inst
end

return Prefab("suofeiya_minerhatlight", fn)